# Overview

PubPhoto allows you to share photos or images with just a couple steps, and no
complications. If you upload a photo, a code will be given to you. In order
for another user to download or access the photo, they can just access the
webpage and enter the code, and the photo will be available for them.

This charm will deploy and configure PubPhoto for its usage.

# Usage

First, bootstrap your environment:

    juju boostrap

Then, deploy the PubPhoto service:

    juju deploy pubphoto

Wait a couple minutes, and discover the address by executing:

    juju status

You can browse to the service by going to the public address. You're all set
now!

## Scale out Usage

This charm will easily scale, so in order to add more units, you can execute:

    juju add-unit pubphoto -n #

where # is the number of units you want to add. Once done, you can relate the
service with HAProxy, in order to get a single address for the many instances
that the service has by doing:

    juju deploy haproxy
    juju add-relation pubphoto:website haproxy:reverseproxy

# Configuration

This charm only has two configuration options: `port` and `domain`.

`port`: Use this option to set the port in which you want PubPhoto to run. It
default to port 80.

`domain`: This is the domain name you will use for the service. If it is not
set, it will default to the public address of the unit. This is useful if you
are going to scale the service and using HAProxy, for example, where you can set
the domain to the domain you will be using in your various units. It does not
affect the service usability, it is just a string displayed on screen.

In order to set any of the options, execute the following command:

    juju set [option]=[value]


# Contact Information

Author: José Antonio Rey <jose@ubuntu.com>  
Report bugs at: http://bugs.launchpad.net/charms/+source/pubphoto  
Location: http://jujucharms.com/  

## Upstream Project Name

- [Git page for PubPhoto](https://github.com/stuartlangridge/pubphoto)
